<?php
/* Autor...:  */
/* Esquema.: ALM_TransaccionDetalle.xml */
/* Generado: 2021-11-07 00:42:13 */

/* Metodos de acceso a los campos de la tabla ALM_TransaccionDetalle */
abstract class BaseALM_TransaccionDetalleBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_IdTipoDocumento;    // IdTipoDocumento: ( no definido )
    private $s_IdNumeroDocumento;    // IdNumeroDocumento: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_IdCondicion;    // IdCondicion: ( no definido )
    private $i_IdSecuencia;    // IdSecuencia: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_Lote;    // Lote: ( no definido )
    private $s_IdTransaccionCab;    // IdTransaccionCab: ( no definido )
    private $d_FechaDocumentoCab;    // FechaDocumentoCab: ( no definido )
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $s_IdAlmacenDestino;    // IdAlmacenDestino: ( no definido )
    private $d_FechaVencimiento;    // FechaVencimiento: ( no definido )
    private $s_UnidadCodigo;    // UnidadCodigo: ( no definido )
    private $f_Cantidad;    // Cantidad: ( no definido )
    private $f_CantidadDoble;    // CantidadDoble: ( no definido )
    private $f_CantidadFIFO;    // CantidadFIFO: ( no definido )
    private $s_IdMoneda;    // IdMoneda: ( no definido )
    private $f_PrecioUnitario;    // PrecioUnitario: ( no definido )
    private $f_MontoTotal;    // MontoTotal: ( no definido )
    private $f_PrecioUnitarioDolares;    // PrecioUnitarioDolares: ( no definido )
    private $f_MontoTotalDolares;    // MontoTotalDolares: ( no definido )
    private $s_ReferenciaCompaniaSocio;    // ReferenciaCompaniaSocio: ( no definido )
    private $s_ReferenciaTipoDocumento;    // ReferenciaTipoDocumento: ( no definido )
    private $s_ReferenciaNumeroDocumento;    // ReferenciaNumeroDocumento: ( no definido )
    private $i_ReferenciaSecuencia;    // ReferenciaSecuencia: ( no definido )
    private $s_AprobacionTecnicaFlag;    // AprobacionTecnicaFlag: ( no definido )
    private $s_AprobacionTecnicaDocumento;    // AprobacionTecnicaDocumento: ( no definido )
    private $s_FallaFlag;    // FallaFlag: ( no definido )
    private $s_Observaciones;    // Observaciones: ( no definido )
    private $s_FacturadoFlag;    // FacturadoFlag: ( no definido )
    private $s_ValorizacionExternaFlag;    // ValorizacionExternaFlag: ( no definido )
    private $s_LoteProduccion;    // LoteProduccion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_DescripcionItem;    // DescripcionItem: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdTipoDocumento */
    public function setIdTipoDocumento( $s_IdTipoDocumento )
    {
        $this->s_IdTipoDocumento = $s_IdTipoDocumento;
    }

    /* Obtiene el valor del campo IdTipoDocumento */
    public function getIdTipoDocumento()
    {
        return $this->s_IdTipoDocumento;
    }

    /* Establece el valor del campo IdNumeroDocumento */
    public function setIdNumeroDocumento( $s_IdNumeroDocumento )
    {
        $this->s_IdNumeroDocumento = $s_IdNumeroDocumento;
    }

    /* Obtiene el valor del campo IdNumeroDocumento */
    public function getIdNumeroDocumento()
    {
        return $this->s_IdNumeroDocumento;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdCondicion */
    public function setIdCondicion( $s_IdCondicion )
    {
        $this->s_IdCondicion = $s_IdCondicion;
    }

    /* Obtiene el valor del campo IdCondicion */
    public function getIdCondicion()
    {
        return $this->s_IdCondicion;
    }

    /* Establece el valor del campo IdSecuencia */
    public function setIdSecuencia( $i_IdSecuencia )
    {
        $this->i_IdSecuencia = $i_IdSecuencia;
    }

    /* Obtiene el valor del campo IdSecuencia */
    public function getIdSecuencia()
    {
        return $this->i_IdSecuencia;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo Lote */
    public function setLote( $s_Lote )
    {
        $this->s_Lote = $s_Lote;
    }

    /* Obtiene el valor del campo Lote */
    public function getLote()
    {
        return $this->s_Lote;
    }

    /* Establece el valor del campo IdTransaccionCab */
    public function setIdTransaccionCab( $s_IdTransaccionCab )
    {
        $this->s_IdTransaccionCab = $s_IdTransaccionCab;
    }

    /* Obtiene el valor del campo IdTransaccionCab */
    public function getIdTransaccionCab()
    {
        return $this->s_IdTransaccionCab;
    }

    /* Establece el valor del campo FechaDocumentoCab */
    public function setFechaDocumentoCab( $d_FechaDocumentoCab )
    {
        $this->d_FechaDocumentoCab = $d_FechaDocumentoCab;
    }

    /* Obtiene el valor del campo FechaDocumentoCab */
    public function getFechaDocumentoCab()
    {
        return $this->d_FechaDocumentoCab;
    }

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo IdAlmacenDestino */
    public function setIdAlmacenDestino( $s_IdAlmacenDestino )
    {
        $this->s_IdAlmacenDestino = $s_IdAlmacenDestino;
    }

    /* Obtiene el valor del campo IdAlmacenDestino */
    public function getIdAlmacenDestino()
    {
        return $this->s_IdAlmacenDestino;
    }

    /* Establece el valor del campo FechaVencimiento */
    public function setFechaVencimiento( $d_FechaVencimiento )
    {
        $this->d_FechaVencimiento = $d_FechaVencimiento;
    }

    /* Obtiene el valor del campo FechaVencimiento */
    public function getFechaVencimiento()
    {
        return $this->d_FechaVencimiento;
    }

    /* Establece el valor del campo UnidadCodigo */
    public function setUnidadCodigo( $s_UnidadCodigo )
    {
        $this->s_UnidadCodigo = $s_UnidadCodigo;
    }

    /* Obtiene el valor del campo UnidadCodigo */
    public function getUnidadCodigo()
    {
        return $this->s_UnidadCodigo;
    }

    /* Establece el valor del campo Cantidad */
    public function setCantidad( $f_Cantidad )
    {
        $this->f_Cantidad = $f_Cantidad;
    }

    /* Obtiene el valor del campo Cantidad */
    public function getCantidad()
    {
        return $this->f_Cantidad;
    }

    /* Establece el valor del campo CantidadDoble */
    public function setCantidadDoble( $f_CantidadDoble )
    {
        $this->f_CantidadDoble = $f_CantidadDoble;
    }

    /* Obtiene el valor del campo CantidadDoble */
    public function getCantidadDoble()
    {
        return $this->f_CantidadDoble;
    }

    /* Establece el valor del campo CantidadFIFO */
    public function setCantidadFIFO( $f_CantidadFIFO )
    {
        $this->f_CantidadFIFO = $f_CantidadFIFO;
    }

    /* Obtiene el valor del campo CantidadFIFO */
    public function getCantidadFIFO()
    {
        return $this->f_CantidadFIFO;
    }

    /* Establece el valor del campo IdMoneda */
    public function setIdMoneda( $s_IdMoneda )
    {
        $this->s_IdMoneda = $s_IdMoneda;
    }

    /* Obtiene el valor del campo IdMoneda */
    public function getIdMoneda()
    {
        return $this->s_IdMoneda;
    }

    /* Establece el valor del campo PrecioUnitario */
    public function setPrecioUnitario( $f_PrecioUnitario )
    {
        $this->f_PrecioUnitario = $f_PrecioUnitario;
    }

    /* Obtiene el valor del campo PrecioUnitario */
    public function getPrecioUnitario()
    {
        return $this->f_PrecioUnitario;
    }

    /* Establece el valor del campo MontoTotal */
    public function setMontoTotal( $f_MontoTotal )
    {
        $this->f_MontoTotal = $f_MontoTotal;
    }

    /* Obtiene el valor del campo MontoTotal */
    public function getMontoTotal()
    {
        return $this->f_MontoTotal;
    }

    /* Establece el valor del campo PrecioUnitarioDolares */
    public function setPrecioUnitarioDolares( $f_PrecioUnitarioDolares )
    {
        $this->f_PrecioUnitarioDolares = $f_PrecioUnitarioDolares;
    }

    /* Obtiene el valor del campo PrecioUnitarioDolares */
    public function getPrecioUnitarioDolares()
    {
        return $this->f_PrecioUnitarioDolares;
    }

    /* Establece el valor del campo MontoTotalDolares */
    public function setMontoTotalDolares( $f_MontoTotalDolares )
    {
        $this->f_MontoTotalDolares = $f_MontoTotalDolares;
    }

    /* Obtiene el valor del campo MontoTotalDolares */
    public function getMontoTotalDolares()
    {
        return $this->f_MontoTotalDolares;
    }

    /* Establece el valor del campo ReferenciaCompaniaSocio */
    public function setReferenciaCompaniaSocio( $s_ReferenciaCompaniaSocio )
    {
        $this->s_ReferenciaCompaniaSocio = $s_ReferenciaCompaniaSocio;
    }

    /* Obtiene el valor del campo ReferenciaCompaniaSocio */
    public function getReferenciaCompaniaSocio()
    {
        return $this->s_ReferenciaCompaniaSocio;
    }

    /* Establece el valor del campo ReferenciaTipoDocumento */
    public function setReferenciaTipoDocumento( $s_ReferenciaTipoDocumento )
    {
        $this->s_ReferenciaTipoDocumento = $s_ReferenciaTipoDocumento;
    }

    /* Obtiene el valor del campo ReferenciaTipoDocumento */
    public function getReferenciaTipoDocumento()
    {
        return $this->s_ReferenciaTipoDocumento;
    }

    /* Establece el valor del campo ReferenciaNumeroDocumento */
    public function setReferenciaNumeroDocumento( $s_ReferenciaNumeroDocumento )
    {
        $this->s_ReferenciaNumeroDocumento = $s_ReferenciaNumeroDocumento;
    }

    /* Obtiene el valor del campo ReferenciaNumeroDocumento */
    public function getReferenciaNumeroDocumento()
    {
        return $this->s_ReferenciaNumeroDocumento;
    }

    /* Establece el valor del campo ReferenciaSecuencia */
    public function setReferenciaSecuencia( $i_ReferenciaSecuencia )
    {
        $this->i_ReferenciaSecuencia = $i_ReferenciaSecuencia;
    }

    /* Obtiene el valor del campo ReferenciaSecuencia */
    public function getReferenciaSecuencia()
    {
        return $this->i_ReferenciaSecuencia;
    }

    /* Establece el valor del campo AprobacionTecnicaFlag */
    public function setAprobacionTecnicaFlag( $s_AprobacionTecnicaFlag )
    {
        $this->s_AprobacionTecnicaFlag = $s_AprobacionTecnicaFlag;
    }

    /* Obtiene el valor del campo AprobacionTecnicaFlag */
    public function getAprobacionTecnicaFlag()
    {
        return $this->s_AprobacionTecnicaFlag;
    }

    /* Establece el valor del campo AprobacionTecnicaDocumento */
    public function setAprobacionTecnicaDocumento( $s_AprobacionTecnicaDocumento )
    {
        $this->s_AprobacionTecnicaDocumento = $s_AprobacionTecnicaDocumento;
    }

    /* Obtiene el valor del campo AprobacionTecnicaDocumento */
    public function getAprobacionTecnicaDocumento()
    {
        return $this->s_AprobacionTecnicaDocumento;
    }

    /* Establece el valor del campo FallaFlag */
    public function setFallaFlag( $s_FallaFlag )
    {
        $this->s_FallaFlag = $s_FallaFlag;
    }

    /* Obtiene el valor del campo FallaFlag */
    public function getFallaFlag()
    {
        return $this->s_FallaFlag;
    }

    /* Establece el valor del campo Observaciones */
    public function setObservaciones( $s_Observaciones )
    {
        $this->s_Observaciones = $s_Observaciones;
    }

    /* Obtiene el valor del campo Observaciones */
    public function getObservaciones()
    {
        return $this->s_Observaciones;
    }

    /* Establece el valor del campo FacturadoFlag */
    public function setFacturadoFlag( $s_FacturadoFlag )
    {
        $this->s_FacturadoFlag = $s_FacturadoFlag;
    }

    /* Obtiene el valor del campo FacturadoFlag */
    public function getFacturadoFlag()
    {
        return $this->s_FacturadoFlag;
    }

    /* Establece el valor del campo ValorizacionExternaFlag */
    public function setValorizacionExternaFlag( $s_ValorizacionExternaFlag )
    {
        $this->s_ValorizacionExternaFlag = $s_ValorizacionExternaFlag;
    }

    /* Obtiene el valor del campo ValorizacionExternaFlag */
    public function getValorizacionExternaFlag()
    {
        return $this->s_ValorizacionExternaFlag;
    }

    /* Establece el valor del campo LoteProduccion */
    public function setLoteProduccion( $s_LoteProduccion )
    {
        $this->s_LoteProduccion = $s_LoteProduccion;
    }

    /* Obtiene el valor del campo LoteProduccion */
    public function getLoteProduccion()
    {
        return $this->s_LoteProduccion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo DescripcionItem */
    public function setDescripcionItem( $s_DescripcionItem )
    {
        $this->s_DescripcionItem = $s_DescripcionItem;
    }

    /* Obtiene el valor del campo DescripcionItem */
    public function getDescripcionItem()
    {
        return $this->s_DescripcionItem;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'IdTipoDocumento' => $this->getIdTipoDocumento(),
            'IdNumeroDocumento' => $this->getIdNumeroDocumento(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdCondicion' => $this->getIdCondicion(),
            'IdSecuencia' => $this->getIdSecuencia(),
            'IdItem' => $this->getIdItem(),
            'Lote' => $this->getLote(),
            'IdTransaccionCab' => $this->getIdTransaccionCab(),
            'FechaDocumentoCab' => $this->getFechaDocumentoCab(),
            'IdAlmacen' => $this->getIdAlmacen(),
            'IdAlmacenDestino' => $this->getIdAlmacenDestino(),
            'FechaVencimiento' => $this->getFechaVencimiento(),
            'UnidadCodigo' => $this->getUnidadCodigo(),
            'Cantidad' => $this->getCantidad(),
            'CantidadDoble' => $this->getCantidadDoble(),
            'CantidadFIFO' => $this->getCantidadFIFO(),
            'IdMoneda' => $this->getIdMoneda(),
            'PrecioUnitario' => $this->getPrecioUnitario(),
            'MontoTotal' => $this->getMontoTotal(),
            'PrecioUnitarioDolares' => $this->getPrecioUnitarioDolares(),
            'MontoTotalDolares' => $this->getMontoTotalDolares(),
            'ReferenciaCompaniaSocio' => $this->getReferenciaCompaniaSocio(),
            'ReferenciaTipoDocumento' => $this->getReferenciaTipoDocumento(),
            'ReferenciaNumeroDocumento' => $this->getReferenciaNumeroDocumento(),
            'ReferenciaSecuencia' => $this->getReferenciaSecuencia(),
            'AprobacionTecnicaFlag' => $this->getAprobacionTecnicaFlag(),
            'AprobacionTecnicaDocumento' => $this->getAprobacionTecnicaDocumento(),
            'FallaFlag' => $this->getFallaFlag(),
            'Observaciones' => $this->getObservaciones(),
            'FacturadoFlag' => $this->getFacturadoFlag(),
            'ValorizacionExternaFlag' => $this->getValorizacionExternaFlag(),
            'LoteProduccion' => $this->getLoteProduccion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'DescripcionItem' => $this->getDescripcionItem(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_TransaccionDetalleBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_TransaccionDetalleRs )
    {
        $o_ALM_TransaccionDetalleBN = new ALM_TransaccionDetalleBN();
        $o_ALM_TransaccionDetalleBN->setIdCompania( ( integer ) $o_ALM_TransaccionDetalleRs[ "IdCompania" ] );
        $o_ALM_TransaccionDetalleBN->setIdTipoDocumento( $o_ALM_TransaccionDetalleRs[ "IdTipoDocumento" ] );
        $o_ALM_TransaccionDetalleBN->setIdNumeroDocumento( $o_ALM_TransaccionDetalleRs[ "IdNumeroDocumento" ] );
        $o_ALM_TransaccionDetalleBN->setIdSucursal( ( integer ) $o_ALM_TransaccionDetalleRs[ "IdSucursal" ] );
        $o_ALM_TransaccionDetalleBN->setIdCondicion( $o_ALM_TransaccionDetalleRs[ "IdCondicion" ] );
        $o_ALM_TransaccionDetalleBN->setIdSecuencia( ( integer ) $o_ALM_TransaccionDetalleRs[ "IdSecuencia" ] );
        $o_ALM_TransaccionDetalleBN->setIdItem( $o_ALM_TransaccionDetalleRs[ "IdItem" ] );
        $o_ALM_TransaccionDetalleBN->setLote( $o_ALM_TransaccionDetalleRs[ "Lote" ] );
        $o_ALM_TransaccionDetalleBN->setIdTransaccionCab( $o_ALM_TransaccionDetalleRs[ "IdTransaccionCab" ] );
        $o_ALM_TransaccionDetalleBN->setFechaDocumentoCab( utilTimestamp::getTimestamp( $o_ALM_TransaccionDetalleRs[ "FechaDocumentoCab" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransaccionDetalleBN->setIdAlmacen( $o_ALM_TransaccionDetalleRs[ "IdAlmacen" ] );
        $o_ALM_TransaccionDetalleBN->setIdAlmacenDestino( $o_ALM_TransaccionDetalleRs[ "IdAlmacenDestino" ] );
        $o_ALM_TransaccionDetalleBN->setFechaVencimiento( utilTimestamp::getTimestamp( $o_ALM_TransaccionDetalleRs[ "FechaVencimiento" ], "Y-m-d" ) );
        $o_ALM_TransaccionDetalleBN->setUnidadCodigo( $o_ALM_TransaccionDetalleRs[ "UnidadCodigo" ] );
        $o_ALM_TransaccionDetalleBN->setCantidad( ( float ) $o_ALM_TransaccionDetalleRs[ "Cantidad" ] );
        $o_ALM_TransaccionDetalleBN->setCantidadDoble( ( float ) $o_ALM_TransaccionDetalleRs[ "CantidadDoble" ] );
        $o_ALM_TransaccionDetalleBN->setCantidadFIFO( ( float ) $o_ALM_TransaccionDetalleRs[ "CantidadFIFO" ] );
        $o_ALM_TransaccionDetalleBN->setIdMoneda( $o_ALM_TransaccionDetalleRs[ "IdMoneda" ] );
        $o_ALM_TransaccionDetalleBN->setPrecioUnitario( ( float ) $o_ALM_TransaccionDetalleRs[ "PrecioUnitario" ] );
        $o_ALM_TransaccionDetalleBN->setMontoTotal( ( float ) $o_ALM_TransaccionDetalleRs[ "MontoTotal" ] );
        $o_ALM_TransaccionDetalleBN->setPrecioUnitarioDolares( ( float ) $o_ALM_TransaccionDetalleRs[ "PrecioUnitarioDolares" ] );
        $o_ALM_TransaccionDetalleBN->setMontoTotalDolares( ( float ) $o_ALM_TransaccionDetalleRs[ "MontoTotalDolares" ] );
        $o_ALM_TransaccionDetalleBN->setReferenciaCompaniaSocio( $o_ALM_TransaccionDetalleRs[ "ReferenciaCompaniaSocio" ] );
        $o_ALM_TransaccionDetalleBN->setReferenciaTipoDocumento( $o_ALM_TransaccionDetalleRs[ "ReferenciaTipoDocumento" ] );
        $o_ALM_TransaccionDetalleBN->setReferenciaNumeroDocumento( $o_ALM_TransaccionDetalleRs[ "ReferenciaNumeroDocumento" ] );
        $o_ALM_TransaccionDetalleBN->setReferenciaSecuencia( ( integer ) $o_ALM_TransaccionDetalleRs[ "ReferenciaSecuencia" ] );
        $o_ALM_TransaccionDetalleBN->setAprobacionTecnicaFlag( $o_ALM_TransaccionDetalleRs[ "AprobacionTecnicaFlag" ] );
        $o_ALM_TransaccionDetalleBN->setAprobacionTecnicaDocumento( $o_ALM_TransaccionDetalleRs[ "AprobacionTecnicaDocumento" ] );
        $o_ALM_TransaccionDetalleBN->setFallaFlag( $o_ALM_TransaccionDetalleRs[ "FallaFlag" ] );
        $o_ALM_TransaccionDetalleBN->setObservaciones( $o_ALM_TransaccionDetalleRs[ "Observaciones" ] );
        $o_ALM_TransaccionDetalleBN->setFacturadoFlag( $o_ALM_TransaccionDetalleRs[ "FacturadoFlag" ] );
        $o_ALM_TransaccionDetalleBN->setValorizacionExternaFlag( $o_ALM_TransaccionDetalleRs[ "ValorizacionExternaFlag" ] );
        $o_ALM_TransaccionDetalleBN->setLoteProduccion( $o_ALM_TransaccionDetalleRs[ "LoteProduccion" ] );
        $o_ALM_TransaccionDetalleBN->setUsuarioModificacion( $o_ALM_TransaccionDetalleRs[ "UsuarioModificacion" ] );
        $o_ALM_TransaccionDetalleBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_TransaccionDetalleRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransaccionDetalleBN->setUsuarioCreacion( $o_ALM_TransaccionDetalleRs[ "UsuarioCreacion" ] );
        $o_ALM_TransaccionDetalleBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_TransaccionDetalleRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransaccionDetalleBN->setDescripcionItem( $o_ALM_TransaccionDetalleRs[ "DescripcionItem" ] );
        return $o_ALM_TransaccionDetalleBN;
    }
}
?>